Ubuntu

unity-panel-service memory leak and 100% CPU usage

Reported by Colin King on 2013-07-10
724
This bug affects 156 people
Affects Status Importance Assigned to Milestone
Application Menu Indicator
High
Unassigned
13.10
High
Stephen M. Webb
The Ubuntu Power Consumption Project
Undecided
Unassigned
Unity
High
Unassigned
gtk+3.0 (Ubuntu)
High
Unassigned
Saucy
High
Unassigned
indicator-appmenu (Ubuntu)
High
Unassigned
Saucy
High
Unassigned
unity (Ubuntu)
High
Unassigned

Bug Description

Impact: high CPU/memory usage from unity-panel-service

Test case:

Open a large image in the GIMP and activate a lot of items from the global menu. Using shortcuts is enough and faster to reproduce this bug (I've always used Ctrl+A and Ctrl+Shift+A). Memory usage of unity-panel-service increases steadily and it uses a lot of CPU shortly after activating the menu items in a short time.

Regression potential: check that the menus are stable/working as they should

---------
Just going about my business on Ubuntu Raring amd64 on an x230 and I heard the fan kick into action. top showed me that unity-panel-service was consuming all the free cycles on one of my CPUs. I killed it before my machine overheated, so I didn't attach a debugger to see why it was totally pegging out a CPU.

I'm not sure if this adds any context, but I was using a LibreOffice spreadsheet and I could not insert a table because the menu had lost it's mind, and then I observed the overly loaded CPU a very short while after that.

Related branches

lp:~larsu/indicator-appmenu/dont-disconnect-non-existing-signals
Merged into lp:indicator-appmenu at revision 249
Charles Kerr: Approve on 2013-10-28
PS Jenkins bot: Approve (continuous-integration) on 2013-10-27
lp:~bregma/indicator-appmenu/lp-1199877
Merged into lp:indicator-appmenu/13.10 at revision 247
Charles Kerr: Approve on 2013-10-31
PS Jenkins bot: Approve (continuous-integration) on 2013-10-31
Colin King (colin-king) on 2013-07-10
affects: unity → ubuntu-power-consumption
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
Adam Conrad (adconrad) wrote :

This happens to me on a semi-regular basis too. Sometimes it's triggered by using menus, and sometimes by using indicators, but the symptoms are generally the same, unity-panel-service spins at 100%, menus and indicators lock up, and sometimes I'm unlucky enough to have them also steal focus, so I can't do anything else either until I kill unity-panel-service, or let it finish thinking about whatever has it in a tizzy (it will often recover after several minutes of spinning).

Stephen M. Webb (bregma) wrote :

I suspect this is the same as #1199696 (but needs further investigation).

Changed in unity (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
Adam Conrad (adconrad) wrote :

Any progress/insight into this? Anything we can do to help debug? It's still happening frequently, and driving me batty.

Steve Magoun (smagoun) wrote :

This happens to me at least 1x/hour. I posted a backtrace in bug 1211458

Christopher Townsend (townsend) wrote :

I have yet to see this on my 13.10 test system. I'm wondering if anyone affected by this may have extra indicators besides the default ones installed.

Changed in unity:
milestone: none → 7.1.2
importance: Undecided → High
status: New → Triaged
Steve Magoun (smagoun) wrote :

@Chris:

I have the following indicators:
Keyboard layout (which appeared on its own about a week ago - after the problems started)
Tomboy
Network
Ubuntu One
Messaging
Battery
Sound
Date/Time
Power

With the exception the keyboard layout indicator, I've been running with the same set of indicators since (at least) 12.10.

Christopher Townsend (townsend) wrote :

@Steve,

Thanks. The only indicator you have that I don't is Tomboy. Maybe an update to it has caused some problems with u-p-s. I'll try installing that and see if it repro's.

Also, Colin noted that he was using Libreoffice when he saw it. Are you happening to be using Libreoffice when you see this?

Thanks!

Changed in unity:
assignee: nobody → Christopher Townsend (townsend)
status: Triaged → In Progress
Steve Magoun (smagoun) wrote :

@Chris: The problems happen for me regardless of whether LibreOffice is running. I usually have the following apps open when I see the problem:

Firefox
Thunderbird
emacs23
Tomboy
Pidgin
gnome-terminal

I'll try running w/o Tomboy for awhile and see if that improves the situation

@Steve,

You seem to run pretty similar programs as I do, except Tomboy and emacs23 and I don't think emacs is an issue.

Yeah, let's see what happens when you don't run Tomboy. At this point, I'm really beginning to suspect a non default indicator is causing some headaches.

Thanks!

Steve Magoun (smagoun) wrote :

@Chris: I reproduced this today without the Tomboy indicator running

Steve Magoun (smagoun) wrote :

This problem has been driving me nuts. It gets worse over time, suggesting a leak someplace. Other evidence for a leak, the unity-panel-service heap grows from 21MB on boot to 350MB or more after a few days of uptime.

I profiled the system several times using sysprof (see attached profile). The profiles consistently show that almost all time is spent in a pair of gobject methods (handlers_find() and handler_lookup()). The code in these methods traverses a linked list of 'handlers', suggesting that those lists are growing large.

Some cursory poking around in gdb confirms that the lists being traversed are very large - at least tens of thousands of elements. I'm not yet sure why they are growing so big or what's in them.

Steve Magoun (smagoun) wrote :

Full backtrace from gdb: https://pastebin.canonical.com/97128/

This instance of u-p-s was running the following indicators:
networking
battery
date/time
system menu
(I removed sound, messaging, sync, and keyboard to help narrow down the culprits. Removing these indicators did not alleviate the symptoms)

Charles Kerr (charlesk) on 2013-09-17
tags: added: unity-panel-service
Dimitry (dvporg) wrote :

I'm on saucy salamander with latest updates, always have the same issue, starting from 4hr after reboot or killing unity panel service

Indicators doesn't seems as not the main reason - I've tried to disable all non-standard indicators - still the bug happening but probably with more bug-free time

During 100% cpu menu of application is completely, unusable, had to kill unity-panel-service and it helps for 4-12hr

I have 9 workspaces and usually about 30-50 windows opened, probably it could affect - on laptop where I never keep more than 5-8 windows I never saw that bug (there is also saucy salamander installed), but on main PC it happening all of the time.

CarVac (airplaniac2002) wrote :

I have been experiencing this issue too, but it seems to affect me more severely:

While the panel is pegging one of my 8 (4 with hyperthreading) cores, if I try to use the HUD or system tray applets, I have about 10 seconds within which to launch a terminal and kill the process before my computer becomes completely and utterly unresponsive for 40 seconds.

Anything that doesn't seem to require user input, such as music or video players, keep on playing.

The cursor moves, but it doesn't seem to affect anything, until after the 40 seconds are up, and all of my inputs (mouse and keyboard) from that duration are rapidly applied in sequence. Does this happen to other people?

While it is chewing up a core, the clock stops counting up (visible because I have it set to display seconds), but I usually don't notice it until it's too late.

Steve Magoun (smagoun) wrote :

Uninstalling the indicator-appmenu package will decrease the severity of the problem. I assume this is because the leak grows less quickly. It does not completely solve the problem.

The side effect is that you no longer get application menus in the top panel.

Steve Magoun (smagoun) wrote :

Simple reproducer that shows a leak in unity-panel-service (there may be other scenarios that cause a leak too):

1) Open a terminal and watch the RSS size of the unity-panel-service process:
watch -n 0.5 ps -o rss= `pgrep unity-panel`
2) The value reported should stabilize
3) Launch gedit. Observe the value goes up a bit
4) Quit gedit. Observe that the value does not go down
5) Launch gedit. Observe that the value goes up again

Colin King (colin-king) wrote :

I've traced this and can see ~1MB of brk() heap increase per invocation of gedit. So this is really leaking badly.

Rocko (rockorequin) wrote :

I watched rss to monitor the leak while opening and closing files in gimp, and the process started going at 100% cpu somewhere around the 256k-270k range.

Interestingly, the rss goes up even if you just zoom in and out in gimp - you don't even have to open a new file.

Marc-Andre Heroux (herouxma) wrote :

This bug also affect a system I am using.

Sometimes, for some reasons, I just can't get any indicator from the top Unity bar. I have to kill
unity-panel-service each time.

After reading on the subject, I understood that indicator-multiload could be a source of the issue.

Is it something confirmed?

Is there any workaround, other than creating a script watching this service and kill it automatically when reaching a certain CPU level?

Marc-Andre Heroux (herouxma) wrote :

Hi everyone,

I finally found out.

When running Clementine and exactly when pressing the play button, the unity-panel-service goes and alternates from 0% to 80%.

I hope this help!

Marc-Andre Heroux (herouxma) wrote :

Hi again,

I confirm it, when disabling Clementine/Tools/Preferences/Behaviour/Show tray icon - the unity-panel-service CPU % get back and stay at 0%.

So it's not disable.

Thomas Strehl (strehl-t) wrote :

I had the issues also without having clementine installed at all, so to me it seems it's just another trigger for the problem or yet another problem. The only way I could reliably avoid the situation is by disabling app menu.

Adam Conrad (adconrad) wrote :

It seems any number of indicators can exacerbate and "trigger" this issue, but calling out one specific indicator as the culprit is unhelpful, as we've all reproduced it with different combinations, and even with stock installs.

Stephen M. Webb (bregma) wrote :

I disagree that it's unhelpful.

It's very likely that there are several unrelated bugs in several unrelated indicators that all cause similar problems. The unity-panel-indicator program itself is a very small, lean program that just loads indicators (which are plugins), provides a drawing context, and dispatches the main event loop.

The issue in this bug is one or more issues in one or more indicators. Identifying the indicators causing the problem is the first necessary step to finding the problem in those indicators. The appmenu is one indicator found to have a serious resource leak when closing (and possibly when switching) apps, resulting in a steadily growing global table of callback pointers. Others, like Clementine, may possibly spamming DBus with updates (speculation on my part).

More information is better. We can created new bugs for specific problems that are identified, when they are identified. The one problem, one bug principle will remain unviolated.

Stephen M. Webb (bregma) on 2013-10-10
Changed in unity:
milestone: 7.1.2 → 7.2.0
assignee: Christopher Townsend (townsend) → Stephen M. Webb (bregma)
Changed in unity (Ubuntu):
assignee: nobody → Stephen M. Webb (bregma)
Rocko (rockorequin) wrote :

Would unity-panel-indicator be able to detect when an indicator is spamming dbus and log the name of the offending indicator?

John Gruber (john-t-gruber) wrote :

Updated to 13.10 from 13.04. CPU spikes for gnome-panel-service when I launch gimp 2.8.6. The menu response is so slow it makes gimp unusable.

My wife is a professional photographer and uses gimp for most of her editing. We also just updated to 13.10 from 13.04 and Gimp becomes nearly unusable at times, with unity-panel-service often hogging a lot of the CPU, causing very long delays for the menus to appear. This is a major issue!

I just ran valgrind via:

[code]
sudo killall unity-panel-service && valgrind --leak-check=yes --log-file=./valgrind.log /usr/lib/unity/unity-panel-service
[/code]

I'm attaching the valgrind log for just a few seconds of running gimp.

pdknsk (pdknsk) wrote :

I'm having the same problem, but no clementine or libreoffice installed. And only few indicators.

$ dpkg -l | egrep ^ii | egrep -o indicator-\\S*
indicator-applet
indicator-applet-complete
indicator-applet-session
indicator-application
indicator-appmenu
indicator-datetime
indicator-power
indicator-session
indicator-sound

tags: added: rls-t-incoming
summary: - unity-panel-service pegs one of my CPUs at 100%
+ unity-panel-service memory leak and 100% CPU usage
Sebastien Bacher (seb128) wrote :

@jondecker76: what do you do with gimp to trigger the issue? does it just happen over time by using it or is there some specific action that makes the bug easy to trigger?

Pieter Hintjens (ph-imatix) wrote :

Problem confirmed on 13.10.

I can make the problem happen systematically (at present) by loading a large and complex document into LibreOffice. LO starts repaginating, and then the unity-panel-service goes into its busy loop.

* It is not caused by memory exhaustion; my box has 16GB and it's barely used.
* There is no visible file access.
* The problem continues if I close the document and exit LibreOffice.
* The duration of the symptoms are proportional to the document size. If I cut it by half, the problem lasts only half as long.
* As long as I'm working in LibreOffice on such large documents, the problem happens every so often. I've not seen the problem when doing other work.

I've attached the system monitor graph showing two incidents.

I started experiencing this issue after upgrade to Ubuntu 13.10.

Pieter Hintjens (ph-imatix) wrote :

To add to my comment: applied all Ubuntu updates today and rebooted (after kernel panic), and now LO does not provoke any issues. I'll watch to see how long it takes for the problem to reappear.

karlingen (karlo-m) wrote :

I also have this problem on Ubuntu 13.10.
I'm getting this issue when I'm using sublime-text 2 and clicking in the Navigation bar -> "Find.."
Then the process hits 100% CPU.

@
Sebastien Bacher (seb128) wrote 4 hours ago: per post #31

Just simply using gimp on a decent sized image (12 megpaixels and above is all we work with) and it become unusable within 5 minutes. Nothing really specific, it just grinds to a halt, maxes out the memory and unity-panel-service will be spinning it's wheels @ 100%.

We are working around this for now by choosing Gnome at login (we've also tested in Cinnamon with no issues). The problem is 100% definitely Unity related, as there are no problems at all in Gnome or Cinnamon.

Stefan (reid-exal) wrote :

I started experiencing this issue after upgrading from 13.04 to 13.10.

Memory used by unity-panel-service goes up after each application open / close and never seems to drop again. It piles up to hundreds of MB (even GBs) and eventually uses 100% CPU at which point it must be restarted since everything else becomes sluggish.

pdknsk (pdknsk) wrote :

I can confirm that Sublime Text 3 is a good candidate to notice this problem. Just accessing the global menu can dramatically increases CPU usage of unity-panel-service. Also, when Sublime Text is just started, accessing the menu for the first time will freeze the system for 1-2 seconds, and has individual items in the menu far apart horizontally. Maybe this graphical glitch can be a hint.

http://www.sublimetext.com/3

Sebastien Bacher (seb128) wrote :

> Just simply using gimp on a decent sized image (12 megpaixels and above is all we work with) and it become unusable within 5 minutes. Nothing really specific

Do you need to interact with gimp for that to happen or is opening it and letting run in backgroud enough?

@ Sebastien Bacher (seb128) RE: post #39

I let gimp sit open with focus for about 5 minutes with no change in free/used memory and no unity-panel-service problems.
I then opened an image in Gimp and let it sit with focus for another 5 minutes. There was no issues with memory or unity-panel-service in this instance either. It only happens while active using Gimp (using tools for retouching, applying filters, etc.)

Changed in gtk+3.0 (Ubuntu):
importance: Undecided → High
status: New → In Progress
Changed in gtk+3.0 (Ubuntu Saucy):
status: New → In Progress
importance: Undecided → High
Changed in unity (Ubuntu Saucy):
status: New → Triaged
importance: Undecided → High
Lars Uebernickel (larsu) on 2013-10-28
description: updated
description: updated
21 comments hidden view all 101 comments
Rankovic (d-rankovic) wrote :

After monitoring this for a few days on 13.10, I can say that GIMP triggers a memory leak after I run it the first time and then exit. After that, unity-panel-service does not release any RAM from any application and eventually menus on all applications and on indicators become slow and unresponsive.
But if I don’t launch GIMP, I see no abnormal memory increase in unity-panel-service even after using a variety of applications throughout the day.

james Loh (mooash) wrote :

I can confirm I've got this bug as well, it's basically making my laptop unusable at times.

elclanrs (elclanrs) wrote :

I'm experiencing the same issue. I'm a heavy user of Gimp and Inkscape and especially Gimp menus become very unresponsive and the whole system is slow. At some point you can't see any menus at all and I've to drop a terminal and restart lightdm. Not sure what is the issue, I didn't have any such problems in Ubuntu 13.04.

I see this when I use Firefox. No problem with chromium. And I think it started after upgrading to 13.10. As Firefox is the program I use most this makes Ubuntu nearly unusable for me.

Stephen M. Webb (bregma) on 2013-10-31
Changed in indicator-appmenu (Ubuntu):
status: New → Fix Committed
Changed in indicator-appmenu (Ubuntu Saucy):
status: New → In Progress
Changed in indicator-appmenu:
status: New → Fix Committed
Changed in unity:
milestone: 7.2.0 → none
Changed in unity (Ubuntu):
assignee: Stephen M. Webb (bregma) → nobody
no longer affects: unity (Ubuntu Saucy)
Changed in unity (Ubuntu):
status: Triaged → Invalid
no longer affects: unity/7.1
Changed in unity:
status: In Progress → Invalid
assignee: Stephen M. Webb (bregma) → nobody
Stephen M. Webb (bregma) on 2013-10-31
Changed in indicator-appmenu:
importance: Undecided → High
Changed in indicator-appmenu (Ubuntu):
importance: Undecided → High
Changed in indicator-appmenu (Ubuntu Saucy):
importance: Undecided → High
Changed in gtk+3.0 (Ubuntu Saucy):
status: In Progress → Fix Committed
Stephen M. Webb (bregma) on 2013-10-31
Changed in indicator-appmenu (Ubuntu):
status: Fix Committed → In Progress

Hello Colin, or anyone else affected,

Accepted gtk+3.0 into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/gtk+3.0/3.8.6-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:indicator-appmenu/13.10 at revision None, scheduled for release in indicator-appmenu, milestone Unknown

Colin King (colin-king) wrote :

I don't see the CPU being pegged and it isn't leaking memory so badly. There is still some memory leakage. I ran health-check (from my PPA, ppa:colin-king/white) against it for over 10 minutes using applications such as LibreOffice, Gimp, Firefox and still observed quite a lot of brks() occurring:

Heap Change via brk():
  PID brk Count Change (K) Rate (K/second)
  3222 unity-panel-service 143 18612 29.10 (growing moderately fast)

so, that's 18Mb in 640 seconds, or about 29K a second.

I did reboot my machine before testing and double checked that I was running the package from -proposed.

Attached is a report from health-check with the full details.

Colin King (colin-king) wrote :

By the look of things, after all the submenus are rendered the memory consumed by unity-panel-service seems to stabilize, so I am guessing it cache's the menus because after several invocations of the the applications I can't see a great deal more memory being allocated. Is this the intention? If so, how much will it cache over the life time of a session?

Colin so far there is only the GTK+ 3 uploaded for proposed and this bug is linked also against indicator-appmenu.

You could download the updated indicator-appmenu package from the SRU staging ppa.

https://launchpad.net/~ubuntu-unity/+archive/sru-staging

Colin King (colin-king) wrote :

Installed indicator-appmenu 13.01.0+13.10.20131031-0ubuntu1, rebooted, quick test again, still see:

Change in memory (K/second):
  PID Process Type Size RSS PSS
  3170 unity-panel-service Stack 0.00 0.19 0.19 (growing slowly)
  3170 unity-panel-service Heap 98.56 237.46 237.46 (growing fast)
  3170 unity-panel-service Mapped 5.99 4.91 1.95 (growing moderately fast)

Heap Change via brk():
  PID brk Count Change (K) Rate (K/Sec)
  3170 unity-panel-service 61 8292 97.02 (growing moderately fast)

Memory Change via mmap() and munmap():
  PID mmaps munmaps Change (K) Rate (K/Sec)
  3170 unity-panel-service 15 15 0 0.00 (no change)

pdknsk (pdknsk) wrote :

I have installed the packages from saucy-proposed (and indicator-appmenu manually). I'm fairly sure the main problem is fixed.

I have pinned a terminal running top to the top, and made some test with Sublime Text 3.

Opening Sublime makes unity-panel-service use a full core for a good few seconds. Accessing the menu does moderately increase CPU usage for unity-panel-service while it is accessed. Closing the menu makes unity-panel-service use a full core for 1-2 seconds. Same when Sublime is closed. Switching focus back and forth between gnome-terminal and Sublime makes unity-panel-service use a full core for 1-2 seconds.

I haven't noticed any prolonged periods of CPU usage, as was the case before.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtk+3.0 - 3.8.6-0ubuntu2

---------------
gtk+3.0 (3.8.6-0ubuntu2) saucy; urgency=low

  * Backport fixes from git
  * debian/patches/git_frame_disconnect.patch
    debian/patches/git_frame_update.patch:
    - "This fixes high wake-up count from any application using GtkTreeView,
       even idle ones."
  * debian/patches/git_submenus_leak.patch:
    - "don't leak submenus", thanks Lars Uebernickel (lp: #1199877)

gtk+3.0 (3.8.6-0ubuntu1) saucy; urgency=low

  * New upstream version
  * debian/patches/git_padding_value.patch:
    - drop, the fix is the new version
  * debian/patches/git_list_handlers.patch: gtk was made, during
    the 3.8 cycle, to ignore the mimetype handlers with NoDisplay=true.
    The change turned out to be wrong and got reverted in 3.10, doing the
    same here. It makes, e.g shotwell to be listed again (lp: #1238149)
 -- Sebastien Bacher <email address hidden> Mon, 28 Oct 2013 10:50:18 -0700

Changed in gtk+3.0 (Ubuntu):
status: In Progress → Fix Released
Brian Murray (brian-murray) wrote :

Hello Colin, or anyone else affected,

Accepted indicator-appmenu into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/indicator-appmenu/13.01.0+13.10.20131031-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in indicator-appmenu (Ubuntu Saucy):
status: In Progress → Fix Committed
bigx (xavier-seignard) wrote :

Hi,
It woks for me and it's a relief!

Details:
Architecture: amd64
Version: 13.01.0+13.10.20131031-0ubuntu1

Thanks!

Xavier

Leonid Evdokimov (darkk) wrote :

I installed indicator-appmenu_13.01.0+13.10.20131031-0ubuntu1_amd64.deb, restarted unity-panel-service and memory leak seems to be still there.
unity-panel-service RSS grows from 108M to 175M in 3 hours.
On the other hand, I have not seen 100% CPU spikes yet.

Sebastien Bacher (seb128) wrote :

@Leonid: did you install libgtk-3-0 from there as well? the new gtk should fix the leak issue

tags: added: verification-done
removed: verification-needed
Leonid Evdokimov (darkk) wrote :

@Sebastien: excuse me, I missed the comment about libgtk-3-0. I tried to install libgtk-3-0 from saucy-proposed, but apt is going to remove evince and 63 other packages in this case :-/
I'm sorry, I have no time to dig in dependencies till weekend.

Sebastien Bacher (seb128) wrote :

@Leonid: the easiest way to install that binary is to enabled saucy-proposed as an apt source and to apt-get install the binary, otherwise if you download and dpkg -i the debs you probably need libgail and libgtk-3-common as well

I do have libgtk-3.0 installed and I see the improvement. I was editing tons of photos with gimp mostly using the menu to to level correction and since I installed the proposed libgtk-3.0 package it is noticeable faster.

Colin King (colin-king) wrote :

3.8.6-0ubuntu2 + 13.01.0+13.10.20131031-0ubuntu1, can't reproduce heavy CPU load (thanks!) but I do still see some heap growth. I ran gimp, libreoffice, firefox for 296 seconds and observed:

heap change:
   88 brk() calls, growth of 11496K, or ~38.75K/sec growth

CPU usage:
   4.38% (3.95% user, 0.43 system)

~11 minor page faults/second

So it still seems to be consuming memory quite quickly for me.

Leonid Evdokimov (darkk) wrote :

@Sebastien: thanks, libgail-3-0 did the trick, no more removed packages.
I did `apt-get install {indicator-appmenu,libgtk-3-0,libgtk-3-common,libgail-3-0}/saucy-proposed` to apply updates.
I also see small leak: 40 Mb → 70 Mb in 5 hours. OTOH, it can also be explained by heap fragmentation.

kmlx (stanescu-adrian) wrote :

Enabled proposed.
Installed the new indicator-appmenu.
No more 100% CPU.

Great work! Thanks!

Linux 3.11.0-12-generic Ubuntu SMP x86_64 GNU/Linux

karlingen (karlo-m) wrote :

I can confirm that this is working at my end too after installing the new indicator-appmenu
Linux version 3.11.0-12-generic Ubuntu x86_64 GNU/Linux

Suor (suor-web) wrote :

Installed indicator-appmenu from proposed can still reproduce this bug in Sublime Text 3

LGB [Gábor Lénárt] (lgb) wrote :

I've never had 100% CPU usage, only some kind memory leak that unity-panel-service slowly uses more and more memory. After the new packages the situation is better, but still, memory usage of unity-panel-service is increasing over the time needs to be killed at some point to allow to be re-loaded with acceptable memory usage again. Again: not so much CPU usage problem here, and it wasn't the case for me either, only the memory usage.

Bug #1242735 is my original report (which is now a duplicate of this one) for more information.

Paul Greindl (paul-greindl) wrote :

I can confirm that it is better now, but certainly not perfect. It sometimes happens that the unity-panel-service starts to leak again, and from time to time it consumes a lot of CPU power, though not 100%. I'm of course on the 'proposed' update channel.

I installed the proposed packages too, it is much better for me now, although it is still slow while using gimp. In gimp you have to click on the menu otherwise it do not appear (might be an gimp bug too).

Anyway , thanks for fixing, i was a little bit frustrated these days ....

If it matters, i am running a freshly installed 3.11.0-13-generic #20-Ubuntu SMP x86_64 x86_64 x86_64 GNU/Linux on a Lenovo X1 Carbon 8GB

Timothy Embler (nonparity) wrote :

That pretty much fixes it for me.

Maybe not perfect but the system is useable with it.

Amir (stalkerboi) wrote :

It's a little better for me now but it's still nowhere like before this bug was introduced. The problem still happens from time to time though it's more bearable now. Please don't consider this bug as fixed until it's trully fixed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-appmenu - 13.01.0+13.10.20131031-0ubuntu1

---------------
indicator-appmenu (13.01.0+13.10.20131031-0ubuntu1) saucy; urgency=low

  [ Lars Uebernickel ]
  * Call gtk_widget_destroy() to break potential ref cycles (lp:
    #1199877). (LP: #1199877)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 247
 -- Ubuntu daily release <email address hidden> Thu, 31 Oct 2013 19:31:17 +0000

Changed in indicator-appmenu (Ubuntu Saucy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtk+3.0 - 3.8.6-0ubuntu2

---------------
gtk+3.0 (3.8.6-0ubuntu2) saucy; urgency=low

  * Backport fixes from git
  * debian/patches/git_frame_disconnect.patch
    debian/patches/git_frame_update.patch:
    - "This fixes high wake-up count from any application using GtkTreeView,
       even idle ones."
  * debian/patches/git_submenus_leak.patch:
    - "don't leak submenus", thanks Lars Uebernickel (lp: #1199877)

gtk+3.0 (3.8.6-0ubuntu1) saucy; urgency=low

  * New upstream version
  * debian/patches/git_padding_value.patch:
    - drop, the fix is the new version
  * debian/patches/git_list_handlers.patch: gtk was made, during
    the 3.8 cycle, to ignore the mimetype handlers with NoDisplay=true.
    The change turned out to be wrong and got reverted in 3.10, doing the
    same here. It makes, e.g shotwell to be listed again (lp: #1238149)
 -- Sebastien Bacher <email address hidden> Mon, 28 Oct 2013 10:50:18 -0700

Changed in gtk+3.0 (Ubuntu Saucy):
status: Fix Committed → Fix Released
Matthias Niess (mniess) wrote :

As others idicated, this problem is not completely fixed. Should we open a new bug?

Ethan Waterson (elwaterson) wrote :

I'm using Ubuntu Gnome 13.10 and this problem is not yet fixed

LGB [Gábor Lénárt] (lgb) wrote :

Not so much CPU usage here, but leak is confirmed (I have the issue since the release of 13.10 ...), at the end of they day memory usage (according to top) is about 6-10% on a machine with 2Gbyte RAM. If I kill the process, it relaunches and uses much less memory, below 1%, but again it sightly increasing with time. So I have to kill it about some times within a day to be able to work without heavy swapping. However as I've told, not so much CPU is consumed here, I have no problem with that at least. 13.10 on x86 32 bit.

Lars Uebernickel (larsu) wrote :

I cannot reproduce this anymore after the fix in 3.8.6-0ubuntu2. Can somebody who is still seeing a leak please provide more detail? Does it happen when a specific application or indicator is running?

I had the same issue... turned out to be an issue with my mouse.

I have a Microsoft Sculpt Keyboard + accompanying mouse and a RAT7. The MS mouse was turned off... the RAT 7 was plugged in. O tried for two days to stablize everyhting Ubuntu 13.10, 14.04, 12.0, Suse... problem was reoccuring and because everybody was suspecting an issue with X-server i never bother unplugging the RAT7.

Now that I did. Everything works perfectly.

Charles Kerr (charlesk) on 2014-03-07
Changed in indicator-appmenu (Ubuntu):
status: In Progress → Fix Released
Charles Kerr (charlesk) on 2014-03-08
Changed in indicator-appmenu:
status: Fix Committed → Fix Released
eduke (emoya5) wrote :

the problem persists, I can not use Sublime Text or eclipse, without the processor is set to 100 Is there any solution for this? My system is updated.

Colin King (colin-king) on 2014-03-31
Changed in ubuntu-power-consumption:
status: New → Fix Released

I have faced this problem right now. Only super key and alt+clt+Fucntion_keys are working. I can still login in terminal window (ctl+alt+F1) and by restarting the lightdm i restore my environment. My system is up to date. System: ubuntu 13.10 64bit. ASUS K551L, Corei7

Jenny B (web-6) wrote :

Hi,

I just have the issue, randomly, since 3 or 4 days.
Using Firefox, gimp, Libreoffice, gedit, terminator, Tomboy and ClassicMenuIndicator
  I upgraded several times (from 13.04 to 13.10, the last time), I noticed that I have both gtk2 and gtk3 files.

My system is up to date: 3.11.0-19-generic unity 7.1.2
 8 Go Ram ddr2, Core™2 Quad CPU Q9550 @ 2.83GHz × 4 , GeForce 9600 GT/PCIe/SSE2

 could it be related to keyboard, or game mouse?

dpkg -l | egrep ^ii | egrep -o indicator-\\S*
indicator-applet-complete
indicator-application
indicator-appmenu
indicator-bluetooth
indicator-datetime
indicator-keyboard
indicator-messages
indicator-network
indicator-power
indicator-printers
indicator-session
indicator-sound
indicator-sync

Joined dpkg -l | egrep gtk > list-gtk.txt

Displaying first 40 and last 40 comments. View all 101 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers